#include<iostream>
#include<fstream>
#include<cstdlib>


using namespace std;

int main(int argc, char** argv){
	if(argc <= 1){
		cerr << "USAGE: " << argv[0] << " [files ...]" << endl;
		exit(1);
	}

	for(int i = 1; i < argc; ++i){
		int y;
		string line;
		string filename = string(argv[i]);
		ifstream in(argv[i]);
		ofstream out(filename.append(".yscale").c_str());

		while(in >> y && getline(in, line)){
			out <<  (double)(y - 1922)/(2011-1922) << line << endl;
		}
	}

	return 0;
}
