#!/usr/bin/env python

import os
from data import *

log = 'default'
train = '../liblinear-svr/train-ns -s 7 -e 0.001'

datasets = []
datasets += [MSD_scale_default_2, LE2006_scale_default_2, E2006_scale_default_2, mydong_scale_default_2, kdd2010b_scale_default_2]
datasets += [MSD_default_2, LE2006_default_2, E2006_default_2, mydong_default_2, kdd2010b_default_2]
datasets += [MSD_scale_mse_2, LE2006_scale_mse_2, E2006_scale_mse_2, mydong_scale_mse_2, kdd2010b_scale_mse_2]
datasets += [MSD_scale_lsmse_2, LE2006_scale_lsmse_2, E2006_scale_lsmse_2, mydong_scale_lsmse_2, kdd2010b_scale_lsmse_2]

if not os.path.exists(log):
	os.mkdir(log)

for data in datasets:
	if os.path.exists(log + '/' + data.name):
		continue
	
	exec_cmd = '{0} -p {4} -c {5} ./data/{1} ./data/{2} > {3}'.format(train, data.train, data.test, log + '/' + data.name, data.p, data.c)
	print(exec_cmd)
	os.system(exec_cmd)
